Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.core.v1
Class ProfessionalInformationType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType
          be.fgov.ehealth.addressbook.core.v1.ProfessionalInformationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:37:20+02:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionalInformationType

extends ProfessionalAddressbookType
implements Serializable

Professional data of the individual

Java class for ProfessionalInformationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionalInformationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionalAddressbookType">
           <sequence>
             <element name="EHealthBox" type="{urn:be:fgov:ehealth:addressbook:core:v1}EHealthBoxType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionalInformationType()`

Method Summary
`EHealthBoxType` | `getEHealthBox()` Gets the value of the eHealthBox property.
`void` | `setEHealthBox(EHealthBoxType value)` Sets the value of the eHealthBox property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType
`getAddresses, getHealthCareAdditionalInformations, getProfession, setProfession`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionalInformationType

    public ProfessionalInformationType()

Method Detail

### getEHealthBox

    public EHealthBoxType getEHealthBox()

  Gets the value of the eHealthBox property.

  Returns:
    possible object is `EHealthBoxType`

### setEHealthBox

    public void setEHealthBox(EHealthBoxType value)

  Sets the value of the eHealthBox property.

  Parameters:
    `value` - allowed object is `EHealthBoxType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.